strptime-1.0.6: Efficient parsing of LocalTime using a binding to C's strptime, with some extra features (i.e. fractional seconds)

Portability | portable (H98 + FFI)
Stability | experimental
Maintainer | ekirpichov@gmail.com
Safe Haskell | None

Data.Time.Parse

Description

A binding to strptime with extra features - see below.

Synopsis

- class Strptime a where
  - strptime :: a -> a -> Maybe (LocalTime, a)

# Documentation

class Strptime a where Source

The class of values from which time may be parsed

Methods

strptime :: a -> a -> Maybe (LocalTime, a)Source

Given a format string in the format of strptime (see http://linux.die.net/man/3/strptime) and a data string, parse a date+time value from the data string and also return the remainder of the data string. We also support a %OS format specifier for fractional seconds, because we are using the strptime from r-project.org. We also support %^[+-][N]s for multiples of seconds since epoch, for example %^-3s is milliseconds since epoch (N can only be 1 digit)

Instances

Strptime ByteString |
Strptime ByteString |
Strptime [Char] |